Skip to main content
DELETE
/
knowledge
/
links
/
{id}
Delete a link
curl --request DELETE \
  --url https://api.getfernand.com/knowledge/links/{id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.getfernand.com/knowledge/links/{id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.getfernand.com/knowledge/links/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.getfernand.com/knowledge/links/{id}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
using RestSharp;


var options = new RestClientOptions("https://api.getfernand.com/knowledge/links/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.DeleteAsync(request);

Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.delete("https://api.getfernand.com/knowledge/links/{id}")
.header("X-API-Key", "<api-key>")
.asString();
{}
{
"error": "<string>"
}
Permanently removes a navigation link from the knowledge base. After deletion, the sort order of remaining links in the same position is automatically adjusted to maintain proper sequence.

Authorizations

X-API-Key
string
header
required

Authenticate your account by including your secret key in API requests. You can manage your API keys in the Dashboard.

Authentication to the API is performed by using the HTTP Header X-API-Key.

Path Parameters

id
integer
required

ID of the link to delete.

Response

Link deleted successfully.

The response is of type object.